Set MMP Config
Set the MMP configuration for Block RFQ.
Endpoint
POST /api/block/rfqs/set_mmp_config
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| indexName | string | true | Index identifier of derivative instrument on the platform. Valid values: btc_usd, eth_usd, btc_usdc, eth_usdc, ada_usdc, algo_usdc, avax_usdc, bch_usdc, bnb_usdc, doge_usdc, dot_usdc, link_usdc, ltc_usdc, near_usdc, paxg_usdc, shib_usdc, sol_usdc, ton_usdc, trx_usdc, trump_usdc, uni_usdc, xrp_usdc, usde_usdc, buidl_usdc, btcdvol_usdc, ethdvol_usdc, btc_usdt, eth_usdt, all |
| interval | integer | true | MMP Interval in seconds, if set to 0 MMP is removed |
| frozenTime | integer | true | MMP frozen time in seconds, if set to 0 manual reset is required |
| mmpGroup | string | false | Designates the MMP group for which the configuration is being set. If the specified group is already associated with a different indexName, an error is returned. This parameter enables distinct configurations for each MMP group, linked to particular indexName |
| quantityLimit | string | false | Quantity limit, positive value |
| deltaLimit | string | false | Delta limit, positive value |
| vegaLimit | string | false | Vega limit, positive value |
| blockRfq | boolean | false | If true, configures MMP for Block RFQ. When set, requires blockRfq scope instead of trade scope. Block RFQ MMP settings are completely separate from normal order/quote MMP settings |
| tradeCountLimit | integer | false | For Block RFQ only (blockRfq = true). Sets the maximum number of Block RFQ trades allowed in the lookback window. Each RFQ trade counts as +1 towards the limit (not individual legs). Works across all currency pairs. When using this parameter, indexName must be set to "all" |
Request Example
{
"rid": 50003,
"method": "block/rfqs/set_mmp_config",
"params": {
"indexName": "btc_usd",
"interval": 1000,
"frozenTime": 5000,
"quantityLimit": "10.0",
"deltaLimit": "10.0",
"vegaLimit": "15.0",
"blockRfq": true
}
}
Response
| Name | Type | Description |
|---|---|---|
| results | array | Array of MMP configuration objects |
| > blockRfq | boolean | If true, indicates MMP configuration for Block RFQ. Block RFQ MMP settings are completely separate from normal order/quote MMP settings |
| > deltaLimit | string | Delta limit |
| > frozenTime | long | MMP frozen time in seconds, if set to 0 manual reset is required |
| > indexName | string | Index identifier, matches (base) cryptocurrency with quote currency |
| > interval | integer | MMP Interval in seconds, if set to 0 MMP is disabled |
| > mmpGroup | string | Specified MMP Group |
| > quantityLimit | string | Quantity limit |
| > tradeCountLimit | string | For Block RFQ only. The maximum number of Block RFQ trades allowed in the lookback window. Each RFQ trade counts as +1 towards the limit (not individual legs). Works across all currency pairs |
| > vegaLimit | string | Vega limit |
Response Example
{
"rid": 50003,
"result": {
"results": [
{
"blockRfq": true,
"deltaLimit": "10.0",
"frozenTime": 5000,
"indexName": "btc_usd",
"interval": 1000,
"quantityLimit": "10.0",
"vegaLimit": "15.0"
}
]
}
}